package com.gic.cloud.operation.web.vo;

import java.io.Serializable;
import java.util.Date;

public class FunctionModuleVO implements Serializable{
    private static final long serialVersionUID = 6083023157590374256L;

    /**
     * ID
     */
    private Integer functionModuleId;

    /**
     * 名称
     */
    private String functionModuleName;

    /**
     * 功能编码
     */
    private String functionModuleCode;

    /**
     * 功能模块说明
     */
    private String functionModuleDesc;

    /**
     * 运维操作人ID
     */
    private String operationId;

    /**
     * 运维操作人name
     */
    private String operationName;

    /**
     * 1：有效 0:无效
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    public Integer getFunctionModuleId() {
        return functionModuleId;
    }

    public FunctionModuleVO setFunctionModuleId(Integer functionModuleId) {
        this.functionModuleId = functionModuleId;
        return this;
    }

    public String getFunctionModuleName() {
        return functionModuleName;
    }

    public FunctionModuleVO setFunctionModuleName(String functionModuleName) {
        this.functionModuleName = functionModuleName;
        return this;
    }

    public String getFunctionModuleCode() {
        return functionModuleCode;
    }

    public FunctionModuleVO setFunctionModuleCode(String functionModuleCode) {
        this.functionModuleCode = functionModuleCode;
        return this;
    }

    public String getFunctionModuleDesc() {
        return functionModuleDesc;
    }

    public FunctionModuleVO setFunctionModuleDesc(String functionModuleDesc) {
        this.functionModuleDesc = functionModuleDesc;
        return this;
    }

    public String getOperationId() {
        return operationId;
    }

    public FunctionModuleVO setOperationId(String operationId) {
        this.operationId = operationId;
        return this;
    }

    public String getOperationName() {
        return operationName;
    }

    public FunctionModuleVO setOperationName(String operationName) {
        this.operationName = operationName;
        return this;
    }

    public Integer getStatus() {
        return status;
    }

    public FunctionModuleVO setStatus(Integer status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public FunctionModuleVO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public FunctionModuleVO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }
}
