package com.gic.cloud.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.DataAuthDTO;

import java.util.List;

public interface DataAuthApiService {

    ServiceResponse<Integer> saveDataAuth(DataAuthDTO dto);

    ServiceResponse<Void> editDataAuth(DataAuthDTO dto);

    ServiceResponse<DataAuthDTO> getDataAuth(Integer dataAuthId);

    ServiceResponse<Void> deleteDataAuth(Integer dataAuthId);

    ServiceResponse<Page<DataAuthDTO>> pageDataAuth(Integer enterpriseId, String dataAuthName, Integer currentPage, Integer pageSize);

    ServiceResponse<List<DataAuthDTO>> listDataAuth(Integer enterpriseId, String dataAuthName);
}
